> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meeamitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Returns all users from the system that the user has access to



## OpenAPI

````yaml GET /auth/v1/users
openapi: 3.1.0
info:
  title: OpenAPI Developer Portal
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-dev.meeamitech.com
security:
  - bearerAuth: []
paths:
  /auth/v1/users:
    get:
      description: Returns all users from the system that the user has access to
      responses:
        '200':
          description: Get User Details
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/User'
              example:
                - message: User Listed Successfully
                  data:
                    _id: 5f43a9f4f36d287b3f9e6b4b
                    teamId: 5f43a9f4f36d287b3f9e6b3h
                    firstName: John
                    lastName: Doe
                    email: john.doe@example.com
                    password: securepassword123
                    createdAt: '2025-02-06T10:05:15.793Z'
                    updatedAt: '2025-02-07T10:05:15.793Z'
                - _id: 5f43a9f4f36d287b3f9e6b4c
                  teamId: 5f43a9f4f36d287b3f9e6b3h
                  firstName: Jane
                  lastName: Smith
                  email: jane.smith@example.com
                  password: anotherpassword456
                  createdAt: '2025-02-07T10:05:15.793Z'
                  updatedAt: '2025-02-07T10:05:15.793Z'
components:
  schemas:
    User:
      required:
        - firstName
        - lastName
        - email
        - password
      type: object
      properties:
        firstName:
          description: The first name of the user
          type: string
        lastName:
          description: The last name of the user
          type: string
        email:
          description: The email of the user
          type: string
        password:
          description: The password of the user
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````